Subject: Re: [PATCH] powerpc: Fix 44x Machine Check handling

From: Olof Johansson <[email-masked]>
Date: Fri, 16 Nov 2007 01:40:25 -0600

On Fri, Nov 16, 2007 at 06:21:06PM +1100, Benjamin Herrenschmidt wrote:
> This removes the old CONFIG_440A which was a pain for multiplatform
> kernel and wasn't set properly by default and replaces it with a
> CPU feature. This makes Machine Check reporting work correctly on
> my Ebony (440GP) board.

I'm not sure I like this. It introduces another cpu feature flag,
that we'll soon run out of if it's used to signify version info per
implementation like this.

1) The SET_IVOR could be done from the cpu_setups for 440A instead
(i.e. introduce one).

2) Please just move the machine check handlers out to individual ones
instead of using the generic one. That way you don't need runtime checks
between the two (they don't seem to share much of it as-is anyway).

With the above two changes, you shouldn't need the feature bit any more.

-Olof